[blfs-book] [BLFS Trac] #3669: ICU-50.1

Armin K. krejzi at email.com
Fri Nov 30 07:17:00 PST 2012


On 11/30/2012 03:45 PM, Jeremy Henty wrote:
>
> Tobias Gasser wrote:
>
>> harfbuzz 0.9.7 fails with icu 50.1
>> icu 49.1.2 works fine with harfbuzz 0.9.7
>
> I had no  problem building harfbuzz 0.9.7 with icu  50.1 .  It's worth
> noting that icu 50.1 installs a new versin of the .so:
>
>      $ ldd /usr/lib/libharfbuzz.so.0.904.0 | grep icu
>              libicule.so.49 => /usr/lib/libicule.so.49 (0xb74a0000)
>              libicuuc.so.49 => /usr/lib/libicuuc.so.49 (0xb7332000)
>              libicudata.so.49 => /usr/lib/libicudata.so.49 (0xb6211000)
>      $ ldd /usr/lib/libharfbuzz.so.0.907.0 | grep icu
>              libicule.so.50 => /usr/lib/libicule.so.50 (0xb7548000)
>              libicuuc.so.50 => /usr/lib/libicuuc.so.50 (0xb73da000)
>              libicudata.so.50 => /usr/lib/libicudata.so.50 (0xb6006000)
>
> ... so you  need to recompile to link against  the newer libraries and
> removing the older libraries will break anything you didn't recompile.
>
> Regards,
>
> Jeremy Henty
>

Correct. That's the case only if you are upgrading, in which case we (I) 
assume that you know what are you up against.



More information about the blfs-book mailing list